#
# spec file for package kicad-unstable-i18n
#
# Copyright (c) 2016 SUSE LINUX GmbH, Nuernberg, Germany.
#
# All modifications and additions to the file contributed by third parties
# remain the property of their copyright owners, unless otherwise agreed
# upon. The license for this file, and modifications and additions to the
# file, is the same license as for the pristine package itself (unless the
# license for the pristine package is not an Open Source License, in which
# case the license is the MIT License). An "Open Source License" is a
# license that conforms to the Open Source Definition (Version 1.9)
# published by the Open Source Initiative.

# Please submit bugfixes or comments via http://bugs.opensuse.org/
#


Name:           kicad-unstable-i18n
Version:        20170219
Release:        326.1
Summary:        Localization for KiCad
License:        GPL-2.0+
Group:          System/Localization
# license same as KiCad package
Url:            http://kicad-pcb.org
Source:         %{name}-%{version}.tar.gz
BuildRequires:  cmake
BuildRequires:  gettext
BuildArch:      noarch
BuildRoot:      %{_tmppath}/%{name}-%{version}-build

%description
KiCad is an open source (GPL) software for the creation of electronic schematic
diagrams and printed circuit with up to 32 copper layers and additional techinical layers.

This is the documentation package for KiCad. It contains documentation
and tutorials.

%package     -n kicad-unstable-lang-bg
Summary:        Bulgarian translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:bg)
Conflicts:      kicad-lang-bg

%description -n kicad-unstable-lang-bg
This package contains Bulgarian translations for KiCad

%package     -n kicad-unstable-lang-ca
Summary:        Catalan translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:ca)
Conflicts:      kicad-lang-ca

%description -n kicad-unstable-lang-ca
This package contains Catalan translations for KiCad

%package     -n kicad-unstable-lang-cs
Summary:        Serbian translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:cs)
Conflicts:      kicad-lang-cs

%description -n kicad-unstable-lang-cs
This package contains Serbian translations for KiCad

%package     -n kicad-unstable-lang-de
Summary:        German translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:de)
Conflicts:      kicad-lang-de

%description -n kicad-unstable-lang-de
This package contains German translations for KiCad

%package     -n kicad-unstable-lang-el
Summary:        Greek translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:el)
Conflicts:      kicad-lang-el

%description -n kicad-unstable-lang-el
This package contains Greek translations for KiCad

%package     -n kicad-unstable-lang-es
Summary:        Spanish translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:es)
Conflicts:      kicad-lang-es

%description -n kicad-unstable-lang-es
This package contains Spanish translations for KiCad

%package     -n kicad-unstable-lang-fi
Summary:        Finnish translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:fi)
Conflicts:      kicad-lang-fi

%description -n kicad-unstable-lang-fi
This package contains Finnish translations for KiCad

%package     -n kicad-unstable-lang-fr
Summary:        French translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:fr)
Conflicts:      kicad-lang-fr

%description -n kicad-unstable-lang-fr
This package contains French translations for KiCad

%package     -n kicad-unstable-lang-hu
Summary:        Hungarian translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:hu)
Conflicts:      kicad-lang-hu

%description -n kicad-unstable-lang-hu
This package contains Hungarian translations for KiCad

%package     -n kicad-unstable-lang-id
Summary:        Indonesian translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:id)
Conflicts:      kicad-lang-id

%description -n kicad-unstable-lang-id
This package contains Indonesian translations for KiCad

%package     -n kicad-unstable-lang-it
Summary:        Italian translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:it)
Conflicts:      kicad-lang-it

%description -n kicad-unstable-lang-it
This package contains Italian translations for KiCad

%package     -n kicad-unstable-lang-ja
Summary:        Japanese translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:ja)
Conflicts:      kicad-lang-ja

%description -n kicad-unstable-lang-ja
This package contains Japanese translations for KiCad

%package     -n kicad-unstable-lang-ko
Summary:        Korean translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:ko)
Conflicts:      kicad-lang-ko

%description -n kicad-unstable-lang-ko
This package contains Korean translations for KiCad

%package     -n kicad-unstable-lang-lt
Summary:        Lithuanian translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:lt)
Conflicts:      kicad-lang-lt

%description -n kicad-unstable-lang-lt
This package contains Lithuanian translations for KiCad

%package     -n kicad-unstable-lang-nl
Summary:        Netherlandian translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:nl)
Conflicts:      kicad-lang-nl

%description -n kicad-unstable-lang-nl
This package contains Netherlandian translations for KiCad

%package     -n kicad-unstable-lang-pl
Summary:        Polish translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:pl)
Conflicts:      kicad-lang-pl

%description -n kicad-unstable-lang-pl
This package contains Polish translations for KiCad

%package     -n kicad-unstable-lang-pt
Summary:        Portuguese translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:pt)
Conflicts:      kicad-lang-pt

%description -n kicad-unstable-lang-pt
This package contains Portuguese translations for KiCad

%package     -n kicad-unstable-lang-ru
Summary:        Russian translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:ru)
Conflicts:      kicad-lang-ru

%description -n kicad-unstable-lang-ru
This package contains Russian translations for KiCad

%package     -n kicad-unstable-lang-sk
Summary:        Slovak translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:sk)
Conflicts:      kicad-lang-sk

%description -n kicad-unstable-lang-sk
This package contains Slovak translations for KiCad

%package     -n kicad-unstable-lang-sl
Summary:        Slovene translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:sl)
Conflicts:      kicad-lang-sl

%description -n kicad-unstable-lang-sl
This package contains Slovene translations for KiCad

%package     -n kicad-unstable-lang-sv
Summary:        Swedish translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:sv)
Conflicts:      kicad-lang-sv

%description -n kicad-unstable-lang-sv
This package contains Swedish translations for KiCad

%package     -n kicad-unstable-lang-zh_CN
Summary:        Chinese translations for KiCad
Group:          System/Localization
Provides:       locale(kicad-unstable:zh_CN)
Conflicts:      kicad-lang-zh_CN

%description -n kicad-unstable-lang-zh_CN
This package contains Chinese translations for KiCad

%prep
%setup -q

%build
%cmake \
    -DKICAD_I18N_UNIX_STRICT_PATH=ON
make

%install
%cmake_install

%files -n kicad-unstable-lang-bg
%defattr(-,root,root)
%lang(bg) %{_datadir}/locale/bg/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-ca
%defattr(-,root,root)
%lang(ca) %{_datadir}/locale/ca/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-cs
%defattr(-,root,root)
%lang(cs) %{_datadir}/locale/cs/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-de
%defattr(-,root,root)
%lang(de) %{_datadir}/locale/de/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-el
%defattr(-,root,root)
%lang(es) %{_datadir}/locale/el/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-es
%defattr(-,root,root)
%lang(es) %{_datadir}/locale/es/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-fi
%defattr(-,root,root)
%lang(fi) %{_datadir}/locale/fi/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-fr
%defattr(-,root,root)
%lang(fr) %{_datadir}/locale/fr/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-hu
%defattr(-,root,root)
%lang(hu) %{_datadir}/locale/hu/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-id
%defattr(-,root,root)
%lang(id) %{_datadir}/locale/id/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-it
%defattr(-,root,root)
%lang(it) %{_datadir}/locale/it/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-ja
%defattr(-,root,root)
%lang(ja) %{_datadir}/locale/ja/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-ko
%defattr(-,root,root)
%lang(ko) %{_datadir}/locale/ko/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-lt
%defattr(-,root,root)
%lang(lt) %{_datadir}/locale/lt/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-nl
%defattr(-,root,root)
%lang(nl) %{_datadir}/locale/nl/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-pl
%defattr(-,root,root)
%lang(pl) %{_datadir}/locale/pl/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-pt
%defattr(-,root,root)
%lang(pt) %{_datadir}/locale/pt/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-ru
%defattr(-,root,root)
%lang(ru) %{_datadir}/locale/ru/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-sk
%defattr(-,root,root)
%lang(sl) %{_datadir}/locale/sk/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-sl
%defattr(-,root,root)
%lang(sl) %{_datadir}/locale/sl/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-sv
%defattr(-,root,root)
%lang(sv) %{_datadir}/locale/sv/LC_MESSAGES/kicad.mo

%files -n kicad-unstable-lang-zh_CN
%defattr(-,root,root)
%lang(zh_CN) %{_datadir}/locale/zh_CN/LC_MESSAGES/kicad.mo

%changelog
* Mon Mar 21 2016 dmitry_r@opensuse.org
- Update to version 4.0.2
* Wed Dec  2 2015 dmitry_r@opensuse.org
- Update to version 4.0.0
* Fri Sep 25 2015 dmitry_r@opensuse.org
- Split from kicad-doc package
- Update to version 4.0.0~20150925
